package org.jeecg.modules.ctop.service.impl;

import cn.com.ctop.common.module.utils.Check;
import cn.com.ctop.kuaishou.modules.report.service.IKuaishouReportDailyCreativeService;
import cn.com.ctop.toutiao.modules.report.service.IByteDanceCleanMaterialReportService;
import org.jeecg.modules.ctop.entity.KuaiShouCleanMaterialReport;
import org.jeecg.modules.ctop.mapper.CleanMaterialMapper;
import org.jeecg.modules.ctop.service.ICleanMaterialService;
import org.jeecg.modules.ctop.service.IKuaiShouCleanMaterialReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CleanMaterialServiceImpl implements ICleanMaterialService {
    @Autowired
    private CleanMaterialMapper cleanMaterialMapper;
    @Autowired
    IKuaishouReportDailyCreativeService kuaishouReportDailyCreativeService;
    @Autowired
    private IKuaiShouCleanMaterialReportService cleanMaterialReportService;
    @Autowired
    private IByteDanceCleanMaterialReportService byteDanceCleanMaterialReportService;


    /**
     * 快手 MD5集合
     *
     * @return
     */
    @Override
    public List<String> getSignature() {
        return cleanMaterialMapper.getSignatureList();
    }

    /**
     * 计算素材报表
     *
     * @param signature
     */
    @Override
    public void calculationReport(String signature) {
        if (Check.isNull(signature)) {
            return;
        }
        KuaiShouCleanMaterialReport calculationMaterialReport = cleanMaterialMapper.calculationMaterialReport(signature);
        if (!Check.isNull(calculationMaterialReport)) {
            cleanMaterialReportService.saveOrUpdate(calculationMaterialReport);
        }
    }
}
